import request from '@/utils/request'

//查询列表
export function getArbitrationList(data){
  return request({
    url:'/open/home/mobile/arbitration/list',
    method:'get',
    params:data
  })
}

// 新增
export function addArbitration(data){
  return request({
    url:'/open/home/mobile/disputeAdd',
    method:'post',
    data:data
  })
}

// 查看
export function getArbitrationDetail(id, data){
  return request({
    url:`/open/home/mobile/arbitrationGet/${id}`,
    method:'get',
    data:data
  })
}

// 更新
export function editArbitration(data){
  return request({
    url:'/open/home/mobile/disputeEdit',
    method:'post',
    data:data
  })
}
// 查询权利人列表
export function getShyqrs(query) {
  return request({
    url: '/open/home/mobile/getShyqrs',
    method: 'get',
    params: query
  })
}
// 删除
export function removeArbitration(id, data){
  return request({
    url: `/house/arbitration/remove/${id}`,
    method:'get',
    params:data
  })
}

/* ************************* 处理过程 ************************* */

//查询处理过程列表
export function getArbitrationProcessList(data){
  return request({
    url:'/house/process/list',
    method:'get',
    params:data
  })
}
//查询列表
export function getList(data){
  return request({
    url:'/open/home/mobile/proposer/list',
    method:'get',
    params:data
  })
}
// 新增处理过程
export function addArbitrationProcess(data){
  return request({
    url:'/house/process/add',
    method:'post',
    data:data
  })
}

// 更新处理过程
export function editArbitrationProcess(data){
  return request({
    url:'/house/process/edit',
    method:'post',
    data:data
  })
}

// 处理过程详情
export function getArbitrationProcessDetail(id, data){
  return request({
    url: `/house/process/get/${id}`,
    method:'get',
    params:data
  })
}

// 删除处理过程
export function removeArbitrationProcess(id, data){
  return request({
    url: `/house/process/remove/${id}`,
    method:'get',
    params:data
  })
}

/* ************************* 调解员 ************************* */

//查询调解员列表
export function getArbitrationHandlerList(data){
  return request({
    url:'/house/handler/list',
    method:'get',
    params:data
  })
}

// 新增调解员
export function addArbitrationHandler(data){
  return request({
    url:'/house/handler/add',
    method:'post',
    data:data
  })
}

// 更新调解员
export function editArbitrationHandler(data){
  return request({
    url:'/house/handler/edit',
    method:'post',
    data:data
  })
}

// 处理调解员
export function getArbitrationHandlerDetail(id, data){
  return request({
    url: `/house/handler/get/${id}`,
    method:'get',
    params:data
  })
}

// 删除调解员
export function removeArbitrationHandler(id, data){
  return request({
    url: `/house/handler/remove/${id}`,
    method:'get',
    params:data
  })
}
